Knowledgebase
Could not load RadEditor. Invalid tools file. Check provider settings in the web.config: ~/Providers/HtmlEditorProviders/Telerik/Config/ToolsDefault.xml
Posted by Sean Syed on 18 February 2013 07:00 PM

After Upgrading to a diffrent version of DotNetNuke, you may get the following error

"Could not load RadEditor. Invalid tools file. Check provider settings in the web.config: ~/Providers/HtmlEditorProviders/Telerik/Config/ToolsDefault.xml"


Solution:

Check the SQL Provider Version in your DotNetNuke Website, to do this navigate to:

>> Providers
>> DataProviders
>> SqlDataProvider

and check the highest version of the "SQLDATAPROVIDER File" type. similar to 05.05.01.SqlDataProvider or 05.05.02.SqlDataProvider.

If your SQLDATAPROVIDER File version is "05.05.02.SqlDataProvider", download the Instllation Pack of DotNetNuke 5.05.02 (Zip File) from DotNetNuke Website.

 

Follow the steps below to install the Telerik Editor Extensions:

  1. UNZIP the DotNetNuke Installation File.
  2. Login to your DotNetNuke website as "HOST" (Super User Account)
  3. In HOST menu click on Extensions, (make sure you're in DNN Edit Mode)
  4. In Extensions Menu, click "Install Extension Wizard"
  5. Click on Browse and select the file > DotNetNuke Instalaltion Files >> \Install\Provider\TelerikEditorProvider_xx_XX_xx_Install file
  6. Click on Next and follow the prompts.

After installation Restart DotNetNuke website from Host > Host Settings.

(4 vote(s))
Helpful
Not helpful

Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments:
CAPTCHA Verification 
 
Please enter the text you see in the image into the textbox below (we use this to prevent automated submissions).